## xfonts-mona 2.11

=== Makefile ===
#  Makefile for Mona fonts
#  by 1@2ch, 2002, public domain

VERSION = 2.11

## Machine dependent

SED_CMD		= sed
PERL_CMD	= perl

# for XFree86
GZIP_CMD	= gzip
GZIP_SUFFIX	= gz

# for traditional Xserver (SunOS, HP-UX, Tru64 etc.)
#GZIP_CMD	= compress
#GZIP_SUFFIX	= Z

X11BINDIR	= /usr/X11R6/bin
X11FONTDIR	= /usr/X11R6/lib/X11/fonts/local
BDFTOPCF	= $(X11BINDIR)/bdftopcf
MKDIRHIER	= $(X11BINDIR)/mkdirhier	# 'mkdir -p' may also work.
MKFONTDIR	= $(X11BINDIR)/mkfontdir

## Other macros

BIT2BDF	= $(PERL_CMD) tools/bit2bdf
BDFMERGE= $(PERL_CMD) tools/bdfmerge
MKBOLD	= $(PERL_CMD) tools/mkbold -V
MKITALIC= $(PERL_CMD) tools/mkitalic -V
ADJUST	= $(PERL_CMD) tools/adjust
MKISO8859= $(SED_CMD) 's/@@REGISTRY@@/ISO8859/g;s/@@ENCODING@@/1/g;s/@@CHARS@@/191/g;'
MKJISX0201= $(SED_CMD) 's/@@REGISTRY@@/JISX0201.1976/g;s/@@ENCODING@@/0/g;s/@@CHARS@@/159/g;'

BDF =	mona6x12a mona6x12aB mona6x12aI mona6x12aBI \
	mona6x12r mona6x12rB mona6x12rI mona6x12rBI \
	mona7x14a mona7x14aB mona7x14aI mona7x14aBI \
	mona7x14r mona7x14rB mona7x14rI mona7x14rBI \
	mona8x16a mona8x16aB mona8x16aI mona8x16aBI \
	mona8x16r mona8x16rB mona8x16rI mona8x16rBI \
	monak12 monak12B monak12I monak12BI \
	monak14 monak14B monak14I monak14BI \
	monak16 monak16B monak16I monak16BI

## Dependencies

bdf:	bdf-normal bdf-bold bdf-italic bdf-bold-italic

bdf-normal:	dist/mona6x12a.bdf dist/mona6x12r.bdf \
		dist/mona7x14a.bdf dist/mona7x14r.bdf \
		dist/mona8x16a.bdf dist/mona8x16r.bdf \
		dist/monak12.bdf \
		dist/monak14.bdf \
		dist/monak16.bdf
bdf-bold:	dist/mona6x12aB.bdf dist/mona6x12rB.bdf \
		dist/mona7x14aB.bdf dist/mona7x14rB.bdf \
		dist/mona8x16aB.bdf dist/mona8x16rB.bdf \
		dist/monak12B.bdf \
		dist/monak14B.bdf \
		dist/monak16B.bdf
bdf-italic:	dist/mona6x12aI.bdf dist/mona6x12rI.bdf \
		dist/mona7x14aI.bdf dist/mona7x14rI.bdf \
		dist/mona8x16aI.bdf dist/mona8x16rI.bdf \
		dist/monak12I.bdf \
		dist/monak14I.bdf \
		dist/monak16I.bdf
bdf-bold-italic:dist/mona6x12aBI.bdf dist/mona6x12rBI.bdf \
		dist/mona7x14aBI.bdf dist/mona7x14rBI.bdf \
		dist/mona8x16aBI.bdf dist/mona8x16rBI.bdf \
		dist/monak12BI.bdf \
		dist/monak14BI.bdf \
		dist/monak16BI.bdf

# primary bitmaps

dist/mona6x12a.bdf: src/mona6x12.bit0 src/mona6x12a.bit1
	$(MKISO8859) src/mona6x12.bit0 src/mona6x12a.bit1 | \
		$(BIT2BDF) > dist/mona6x12a.bdf
dist/mona6x12r.bdf: src/mona6x12.bit0 src/mona6x12r.bit1
	$(MKJISX0201) src/mona6x12.bit0 src/mona6x12r.bit1 | \
		$(BIT2BDF) > dist/mona6x12r.bdf
dist/mona7x14a.bdf: src/mona7x14.bit0 src/mona7x14a.bit1
	$(MKISO8859) src/mona7x14.bit0 src/mona7x14a.bit1 | \
		$(BIT2BDF) > dist/mona7x14a.bdf
dist/mona7x14r.bdf: src/mona7x14.bit0 src/mona7x14r.bit1
	$(MKJISX0201) src/mona7x14.bit0 src/mona7x14r.bit1 | \
		$(BIT2BDF) > dist/mona7x14r.bdf
dist/mona8x16a.bdf: src/mona8x16.bit0 src/mona8x16a.bit1
	$(MKISO8859) src/mona8x16.bit0 src/mona8x16a.bit1 | \
		$(BIT2BDF) > dist/mona8x16a.bdf
dist/mona8x16r.bdf: src/mona8x16.bit0 src/mona8x16r.bit1
	$(MKJISX0201) src/mona8x16.bit0 src/mona8x16r.bit1 | \
		$(BIT2BDF) > dist/mona8x16r.bdf
dist/monak12.bdf: src/monak12-base.bit src/monak12-ext.bit
	$(BDFMERGE) src/monak12-base.bit src/monak12-ext.bit | \
		$(BIT2BDF) > dist/monak12.bdf
dist/monak14.bdf: src/monak14-base.bit src/monak14-ext.bit
	$(BDFMERGE) src/monak14-base.bit src/monak14-ext.bit | \
		$(BIT2BDF) > dist/monak14.bdf
dist/monak16.bdf: src/monak16-base.bit src/monak16-ext.bit
	$(BDFMERGE) src/monak16-base.bit src/monak16-ext.bit | \
		$(BIT2BDF) > dist/monak16.bdf

# modified bitmaps

dist/mona6x12aB.bdf: dist/mona6x12a.bdf
	$(MKBOLD) dist/mona6x12a.bdf > dist/mona6x12aB.bdf
dist/mona6x12rB.bdf: dist/mona6x12r.bdf
	$(MKBOLD) dist/mona6x12r.bdf > dist/mona6x12rB.bdf
dist/mona6x12aI.bdf: dist/mona6x12a.bdf
	$(MKITALIC) dist/mona6x12a.bdf > dist/mona6x12aI.bdf
dist/mona6x12rI.bdf: dist/mona6x12r.bdf
	$(MKITALIC) dist/mona6x12r.bdf > dist/mona6x12rI.bdf
dist/mona6x12aBI.bdf: dist/mona6x12aI.bdf
	$(MKBOLD) dist/mona6x12aI.bdf > dist/mona6x12aBI.bdf
dist/mona6x12rBI.bdf: dist/mona6x12rI.bdf
	$(MKBOLD) dist/mona6x12rI.bdf > dist/mona6x12rBI.bdf

dist/mona7x14aB.bdf: dist/mona7x14a.bdf
	$(MKBOLD) dist/mona7x14a.bdf > dist/mona7x14aB.bdf
dist/mona7x14rB.bdf: dist/mona7x14r.bdf
	$(MKBOLD) dist/mona7x14r.bdf > dist/mona7x14rB.bdf
dist/mona7x14aI.bdf: dist/mona7x14a.bdf
	$(MKITALIC) dist/mona7x14a.bdf > dist/mona7x14aI.bdf
dist/mona7x14rI.bdf: dist/mona7x14r.bdf
	$(MKITALIC) dist/mona7x14r.bdf > dist/mona7x14rI.bdf
dist/mona7x14aBI.bdf: dist/mona7x14aI.bdf
	$(MKBOLD) dist/mona7x14aI.bdf > dist/mona7x14aBI.bdf
dist/mona7x14rBI.bdf: dist/mona7x14rI.bdf
	$(MKBOLD) dist/mona7x14rI.bdf > dist/mona7x14rBI.bdf

dist/mona8x16aB.bdf: dist/mona8x16a.bdf
	$(MKBOLD) dist/mona8x16a.bdf > dist/mona8x16aB.bdf
dist/mona8x16rB.bdf: dist/mona8x16r.bdf
	$(MKBOLD) dist/mona8x16r.bdf > dist/mona8x16rB.bdf
dist/mona8x16aI.bdf: dist/mona8x16a.bdf
	$(MKITALIC) dist/mona8x16a.bdf > dist/mona8x16aI.bdf
dist/mona8x16rI.bdf: dist/mona8x16r.bdf
	$(MKITALIC) dist/mona8x16r.bdf > dist/mona8x16rI.bdf
dist/mona8x16aBI.bdf: dist/mona8x16aI.bdf
	$(MKBOLD) dist/mona8x16aI.bdf > dist/mona8x16aBI.bdf
dist/mona8x16rBI.bdf: dist/mona8x16rI.bdf
	$(MKBOLD) dist/mona8x16rI.bdf > dist/mona8x16rBI.bdf

dist/monak12B.bdf: dist/monak12.bdf
	$(MKBOLD) dist/monak12.bdf > dist/monak12B.bdf
dist/monak12I.bdf: dist/monak12.bdf
	$(MKITALIC) dist/monak12.bdf > dist/monak12I.bdf
dist/monak12BI.bdf: dist/monak12I.bdf
	$(MKBOLD) dist/monak12I.bdf > dist/monak12BI.bdf

dist/monak14B.bdf: dist/monak14.bdf
	$(MKBOLD) dist/monak14.bdf > dist/monak14B.bdf
dist/monak14I.bdf: dist/monak14.bdf
	$(MKITALIC) dist/monak14.bdf > dist/monak14I.bdf
dist/monak14BI.bdf: dist/monak14I.bdf
	$(MKBOLD) dist/monak14I.bdf > dist/monak14BI.bdf

dist/monak16B.bdf: dist/monak16.bdf
	$(MKBOLD) dist/monak16.bdf > dist/monak16B.bdf
dist/monak16I.bdf: dist/monak16.bdf
	$(MKITALIC) dist/monak16.bdf > dist/monak16I.bdf
dist/monak16BI.bdf: dist/monak16I.bdf
	$(MKBOLD) dist/monak16I.bdf > dist/monak16BI.bdf


##  Utilities

# clean
clean:
	-rm dist/*.bdf dist/fonts.dir
ttfclean:
	cd ttfsrc; make clean

# packing
pack: clean ttfclean
	cd ..; tar c --numeric-owner --bzip2 -f monafonts-$(VERSION).tar.bz2.bin monafonts-$(VERSION)

# test
test12:	dist/mona6x12r.bdf dist/mona6x12a.bdf dist/monak12.bdf testrun
test14:	dist/mona7x14r.bdf dist/mona7x14a.bdf dist/monak14.bdf testrun
test16:	dist/mona8x16r.bdf dist/mona8x16a.bdf dist/monak16.bdf testrun
testrun:
	$(MKFONTDIR) `pwd`/dist
	xset -fp `pwd`/dist; xset +fp `pwd`/dist; xset fp rehash
	#xedit -xrm '*font:-mona*12*jisx0201.1976-0' test.html
	#xfontsel -pattern '-mona*'
	netscape tools/test.html

# install
install: bdf
	if [ ! -d $(X11FONTDIR) ]; then \
		$(MKDIRHIER) $(X11FONTDIR); \
	fi
	for i in $(BDF); do \
		$(BDFTOPCF) dist/$$i.bdf | \
		$(GZIP_CMD) -c > $(X11FONTDIR)/$$i.pcf.$(GZIP_SUFFIX); \
	done
	$(MKFONTDIR) $(X11FONTDIR)

# append fonts.alias
install-alias:
	cat fonts.alias.mona >> $(X11FONTDIR)/fonts.alias

=== ttfsrc/Makefile ===
#  Makefile for Monafonts TTF
#  by 1@2ch, * public domain *  2002/2

TTFVERSION=2.11
SHINONOMEVERSION=0.9.7
DATESTAMP=`date +%Y%m%d`

# tools & perl libraries

TOOLS=../ttftools

PERL=perl -I$(TOOLS)
CAT=cat
SED=sed
SORT=sort
AWK=awk
RM=rm -f
CP=cp
LHA=lha

TTFPACK=$(PERL) $(TOOLS)/ttfpack
COMMONCHARS=$(PERL) $(TOOLS)/commonchars
PICKCHARS=$(PERL) $(TOOLS)/pickchars
JIS2ASCII=$(PERL) $(TOOLS)/jis2ascii
JIS2SJIS=$(PERL) $(TOOLS)/jis2sjis
JIS2UNICODE=$(PERL) $(TOOLS)/jis2unicode
MAKE_CMAP=$(PERL) $(TOOLS)/make_cmap
MAKE_HEAD=$(PERL) $(TOOLS)/make_head
MAKE_HHEA=$(PERL) $(TOOLS)/make_hhea
MAKE_HMTX=$(PERL) $(TOOLS)/make_hmtx
MAKE_HDMX=$(PERL) $(TOOLS)/make_hdmx
MAKE_VHEA=$(PERL) $(TOOLS)/make_vhea
MAKE_VMTX=$(PERL) $(TOOLS)/make_vmtx
MAKE_MAXP=$(PERL) $(TOOLS)/make_maxp
MAKE_NAME=$(PERL) $(TOOLS)/make_name
MAKE_OS2=$(PERL) $(TOOLS)/make_OS_s2
MAKE_POST=$(PERL) $(TOOLS)/make_post
MAKE_EBLC=$(PERL) $(TOOLS)/make_EBLC
MAKE_EBDT=$(PERL) $(TOOLS)/make_EBDT
MAKE_EBSC=$(PERL) $(TOOLS)/make_EBSC
MAKE_LOCA_FAKE=$(PERL) $(TOOLS)/make_loca_fake
MKTESTSJIS=$(PERL) $(TOOLS)/mktestsjis
MKTESTUNICODE=$(PERL) $(TOOLS)/mktestunicode
GETUNIT=$(AWK) 'BEGIN{IGNORECASE=1} $$1~/^unitsperem$$/{print $$2}'
COUNTLINES=$(AWK) 'BEGIN{n=0} {n++} END{print n}'
REPEATFILE=$(PERL) $(TOOLS)/repeatfile
NUMGLYPHS_KLUDGE=$(AWK) '{print $$1+1}'

# bdf sources

BDFSRC=../src
SRCBITS12=$(BDFSRC)/monak12-base.bit $(BDFSRC)/monak12-ext.bit \
	  $(BDFSRC)/mona6x12.bit0 $(BDFSRC)/mona6x12r.bit1

SRCBITS14=$(BDFSRC)/monak14-base.bit $(BDFSRC)/monak14-ext.bit \
	  $(BDFSRC)/mona7x14.bit0 $(BDFSRC)/mona7x14r.bit1

SRCBITS16=$(BDFSRC)/monak16-base.bit $(BDFSRC)/monak16-ext.bit \
	  $(BDFSRC)/mona8x16.bit0 $(BDFSRC)/mona8x16r.bit1


###################################################

# targets

all: mona-mac.ttf mona-win.ttf

# utilities

clean:
	-$(RM) mona-mac.ttf mona-win.ttf *.lzh *.bak common.enc numglyphs \
		cmap-ascii.src cmap-sjis.src cmap-unicode.src \
		mona12.bit mona14.bit mona16.bit \
		mona12k.bit mona14k.bit mona16k.bit \
		$(TTFTABLES) test-sjis.html test-unicode.html

pack: mona-mac.ttf mona-win.ttf README-ttf.txt
	$(LHA) a monafonts-mac-$(TTFVERSION).lzh README-ttf.txt mona-mac.ttf
	$(LHA) a monafonts-win-$(TTFVERSION).lzh README-ttf.txt mona-win.ttf

# test

test: test-sjis.html test-unicode.html
test-sjis.html: cmap-sjis.src
	$(SORT) cmap-sjis.src | $(MKTESTSJIS) > test-sjis.html
test-unicode.html: cmap-unicode.src
	$(SORT) cmap-unicode.src | $(MKTESTUNICODE) > test-unicode.html


###################################################

# ttf definitions

TTFTABLES_COMMON=cmap head hhea hmtx hdmx maxp name OS_s2 post \
		 vhea vmtx EBLC EBDT EBSC 
TTFTABLES_MAC=
TTFTABLES_WIN=glyf loca cvt
TTFTABLES=$(TTFTABLES_COMMON) $(TTFTABLES_MAC) $(TTFTABLES_WIN)

mona-mac.ttf: $(TTFTABLES_COMMON) $(TTFTABLES_MAC)
	$(TTFPACK) 0x00010000 $(TTFTABLES_COMMON) $(TTFTABLES_MAC) > mona-mac.ttf
mona-win.ttf: $(TTFTABLES_COMMON) $(TTFTABLES_WIN)
	$(TTFPACK) 0x00010000 $(TTFTABLES_COMMON) $(TTFTABLES_WIN) > mona-win.ttf


# tables

# get common character encodings(jisx0208) in all point sizes
common.enc: $(SRCBITS12) $(SRCBITS14) $(SRCBITS16)
	$(COMMONCHARS) $(SRCBITS12) : $(SRCBITS14) : $(SRCBITS16) : > common.enc

# get number of glyphs
numglyphs: common.enc
	$(COUNTLINES) common.enc > numglyphs

# head (TTF HEADer) table
head: head.src
	$(MAKE_HEAD) head.src checkSumAdjustment=0 > head

# maxp (MAXimum Profile) table
maxp: maxp.src numglyphs
	$(MAKE_MAXP) maxp.src numGlyphs=`$(NUMGLYPHS_KLUDGE) numglyphs` > maxp

# OS/2 table
OS_s2: OS_s2.src
	$(MAKE_OS2) OS_s2.src > OS_s2

# post (POSTscript) table
post: post.src
	$(MAKE_POST) post.src > post

# name table
name: name.src
	$(SED) "s/@@VERSION@@/$(TTFVERSION)/g; \
		s/@@DATESTAMP@@/$(DATESTAMP)/g; \
		s/@@SHINONOMEVERSION@@/$(SHINONOMEVERSION)/g; " name.src | \
		$(MAKE_NAME) - > name

# hhea (Horizontal metrics table HEAder) table
hhea: hhea.src numglyphs
	$(MAKE_HHEA) hhea.src numberOfHMetrics=`$(CAT) numglyphs` > hhea

# hmtx (Horizontal MeTriX) table
hmtx: common.enc mona16.bit head.src
	$(MAKE_HMTX) mona16.bit 16 `$(GETUNIT) head.src` > hmtx

# hdmx (Horizontal Device MetriX) table
hdmx: mona12.bit mona14.bit mona16.bit
	$(MAKE_HDMX) `$(CAT) numglyphs` 12 mona12.bit 14 mona14.bit 16 mona16.bit > hdmx

# vhea (Vertical metrics table HEAder) table
vhea: vhea.src numglyphs
	$(MAKE_VHEA) vhea.src numberOfVMetrics=`$(CAT) numglyphs` > vhea

# vmtx (Vertical MeTriX) table
vmtx: common.enc mona16.bit head.src
	$(MAKE_VMTX) mona16.bit 16 `$(GETUNIT) head.src` > vmtx

# EBSC (Embedded Bitmap Scaling Control) table
EBSC: EBSC.src
	$(MAKE_EBSC) EBSC.src > EBSC

# unify all glyphs (defaultchar, jisx0201, jisx0208) into one file
mona12.bit: common.enc defaultchar.enc $(SRCBITS12)
	$(PICKCHARS) defaultchar.enc $(SRCBITS12) > mona12.bit
	$(PICKCHARS) common.enc $(SRCBITS12) >> mona12.bit

mona14.bit: common.enc defaultchar.enc $(SRCBITS14)
	$(PICKCHARS) defaultchar.enc $(SRCBITS14) > mona14.bit
	$(PICKCHARS) common.enc $(SRCBITS14) >> mona14.bit

mona16.bit: common.enc defaultchar.enc $(SRCBITS16)
	$(PICKCHARS) defaultchar.enc $(SRCBITS16) > mona16.bit
	$(PICKCHARS) common.enc $(SRCBITS16) >> mona16.bit

# EBLC (Embedded Bitmap LoCation) table
EBLC: mona12.bit mona14.bit mona16.bit
	$(MAKE_EBLC) 12 mona12.bit 14 mona14.bit 16 mona16.bit > EBLC

# EBDT (Embedded Bitmap DaTa) table
EBDT: mona12.bit mona14.bit mona16.bit
	$(MAKE_EBDT) mona12.bit mona14.bit mona16.bit > EBDT

# create ascii/sjis/unicode charmap from jisx0208 encodings
cmap-ascii.src: common.enc
	$(JIS2ASCII) common.enc > cmap-ascii.src
cmap-sjis.src: common.enc
	$(JIS2SJIS) common.enc > cmap-sjis.src
cmap-unicode.src: common.enc
	$(JIS2UNICODE) common.enc > cmap-unicode.src

# cmap (Character MAPping) table
# 0 1 0    0 (Format0, Macintosh, Roman,    English)
# 2 1 1    0 (Format2, Macintosh, Japanese, Japanese)
# 4 3 1 1041 (Format4, Microsoft, Unicode,  Japanese)
cmap: cmap-ascii.src cmap-sjis.src cmap-unicode.src
	$(MAKE_CMAP) cmap-ascii.src   0 1 0    0 \
		     cmap-sjis.src    2 1 1    0 \
		     cmap-unicode.src 4 3 1 1041 \
		> cmap

# glyf table - this table is dummy, just repeated identical glyph.
glyf: numglyphs glyf.src
	$(REPEATFILE) `$(CAT) numglyphs` glyf.src > glyf

# cvt (Control Value Table) - simply copying
cvt: cvt.src
	$(CP) cvt.src cvt

# loca (LOCAtion) table
loca: numglyphs glyf.src
	$(MAKE_LOCA_FAKE) `$(CAT) numglyphs` glyf.src > loca

## xfonts-mona 2.21

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #  Makefile for Mona fonts
 #  by 1@2ch, 2002, public domain
 
-VERSION = 2.11
+VERSION = 2.21
 
 ## Machine dependent
 
@@ -16,8 +16,9 @@
 #GZIP_CMD	= compress
 #GZIP_SUFFIX	= Z
 
+DESTDIR		=
 X11BINDIR	= /usr/X11R6/bin
-X11FONTDIR	= /usr/X11R6/lib/X11/fonts/local
+X11FONTDIR	= $(DESTDIR)/usr/X11R6/lib/X11/fonts/local
 BDFTOPCF	= $(X11BINDIR)/bdftopcf
 MKDIRHIER	= $(X11BINDIR)/mkdirhier	# 'mkdir -p' may also work.
 MKFONTDIR	= $(X11BINDIR)/mkfontdir
@@ -29,8 +30,11 @@
 MKBOLD	= $(PERL_CMD) tools/mkbold -V
 MKITALIC= $(PERL_CMD) tools/mkitalic -V
 ADJUST	= $(PERL_CMD) tools/adjust
-MKISO8859= $(SED_CMD) 's/@@REGISTRY@@/ISO8859/g;s/@@ENCODING@@/1/g;s/@@CHARS@@/191/g;'
-MKJISX0201= $(SED_CMD) 's/@@REGISTRY@@/JISX0201.1976/g;s/@@ENCODING@@/0/g;s/@@CHARS@@/159/g;'
+JIS2UNICODE= $(PERL_CMD) ttftools/jis2unicode -b
+MKISO8859= $(SED_CMD) 's/@@REGISTRY@@/ISO8859/g;s/@@ENCODING@@/1/g;'
+MKJISX0201= $(SED_CMD) 's/@@REGISTRY@@/JISX0201.1976/g;s/@@ENCODING@@/0/g;'
+MKJISX0208= $(SED_CMD) 's/@@REGISTRY@@/JISX0208.1990/g;s/@@ENCODING@@/0/g;'
+MKISO10646= $(SED_CMD) 's/@@REGISTRY@@/ISO10646/g;s/@@ENCODING@@/1/g;'
 
 BDF =	mona6x12a mona6x12aB mona6x12aI mona6x12aBI \
 	mona6x12r mona6x12rB mona6x12rI mona6x12rBI \
@@ -40,7 +44,8 @@
 	mona8x16r mona8x16rB mona8x16rI mona8x16rBI \
 	monak12 monak12B monak12I monak12BI \
 	monak14 monak14B monak14I monak14BI \
-	monak16 monak16B monak16I monak16BI
+	monak16 monak16B monak16I monak16BI \
+	monau16 monau16B monau16I monau16BI
 
 ## Dependencies
 
@@ -51,55 +56,67 @@
 		dist/mona8x16a.bdf dist/mona8x16r.bdf \
 		dist/monak12.bdf \
 		dist/monak14.bdf \
-		dist/monak16.bdf
+		dist/monak16.bdf \
+		dist/monau16.bdf
 bdf-bold:	dist/mona6x12aB.bdf dist/mona6x12rB.bdf \
 		dist/mona7x14aB.bdf dist/mona7x14rB.bdf \
 		dist/mona8x16aB.bdf dist/mona8x16rB.bdf \
 		dist/monak12B.bdf \
 		dist/monak14B.bdf \
-		dist/monak16B.bdf
+		dist/monak16B.bdf \
+		dist/monau16B.bdf
 bdf-italic:	dist/mona6x12aI.bdf dist/mona6x12rI.bdf \
 		dist/mona7x14aI.bdf dist/mona7x14rI.bdf \
 		dist/mona8x16aI.bdf dist/mona8x16rI.bdf \
 		dist/monak12I.bdf \
 		dist/monak14I.bdf \
-		dist/monak16I.bdf
+		dist/monak16I.bdf \
+		dist/monau16I.bdf
 bdf-bold-italic:dist/mona6x12aBI.bdf dist/mona6x12rBI.bdf \
 		dist/mona7x14aBI.bdf dist/mona7x14rBI.bdf \
 		dist/mona8x16aBI.bdf dist/mona8x16rBI.bdf \
 		dist/monak12BI.bdf \
 		dist/monak14BI.bdf \
-		dist/monak16BI.bdf
+		dist/monak16BI.bdf \
+		dist/monau16BI.bdf
 
 # primary bitmaps
 
 dist/mona6x12a.bdf: src/mona6x12.bit0 src/mona6x12a.bit1
-	$(MKISO8859) src/mona6x12.bit0 src/mona6x12a.bit1 | \
-		$(BIT2BDF) > dist/mona6x12a.bdf
+	$(BDFMERGE) src/mona6x12.bit0 src/mona6x12a.bit1 | \
+		$(MKISO8859) | $(BIT2BDF) > dist/mona6x12a.bdf
 dist/mona6x12r.bdf: src/mona6x12.bit0 src/mona6x12r.bit1
-	$(MKJISX0201) src/mona6x12.bit0 src/mona6x12r.bit1 | \
-		$(BIT2BDF) > dist/mona6x12r.bdf
+	$(BDFMERGE) src/mona6x12.bit0 src/mona6x12r.bit1 | \
+		$(MKJISX0201) | $(BIT2BDF) > dist/mona6x12r.bdf
 dist/mona7x14a.bdf: src/mona7x14.bit0 src/mona7x14a.bit1
-	$(MKISO8859) src/mona7x14.bit0 src/mona7x14a.bit1 | \
-		$(BIT2BDF) > dist/mona7x14a.bdf
+	$(BDFMERGE) src/mona7x14.bit0 src/mona7x14a.bit1 | \
+		$(MKISO8859) | $(BIT2BDF) > dist/mona7x14a.bdf
 dist/mona7x14r.bdf: src/mona7x14.bit0 src/mona7x14r.bit1
-	$(MKJISX0201) src/mona7x14.bit0 src/mona7x14r.bit1 | \
-		$(BIT2BDF) > dist/mona7x14r.bdf
+	$(BDFMERGE) src/mona7x14.bit0 src/mona7x14r.bit1 | \
+		$(MKJISX0201) | $(BIT2BDF) > dist/mona7x14r.bdf
 dist/mona8x16a.bdf: src/mona8x16.bit0 src/mona8x16a.bit1
-	$(MKISO8859) src/mona8x16.bit0 src/mona8x16a.bit1 | \
-		$(BIT2BDF) > dist/mona8x16a.bdf
+	$(BDFMERGE) src/mona8x16.bit0 src/mona8x16a.bit1 | \
+		$(MKISO8859) | $(BIT2BDF) > dist/mona8x16a.bdf
 dist/mona8x16r.bdf: src/mona8x16.bit0 src/mona8x16r.bit1
-	$(MKJISX0201) src/mona8x16.bit0 src/mona8x16r.bit1 | \
-		$(BIT2BDF) > dist/mona8x16r.bdf
+	$(BDFMERGE) src/mona8x16.bit0 src/mona8x16r.bit1 | \
+		$(MKJISX0201) | $(BIT2BDF) > dist/mona8x16r.bdf
 dist/monak12.bdf: src/monak12-base.bit src/monak12-ext.bit
 	$(BDFMERGE) src/monak12-base.bit src/monak12-ext.bit | \
-		$(BIT2BDF) > dist/monak12.bdf
+		$(MKJISX0208) | $(BIT2BDF) > dist/monak12.bdf
 dist/monak14.bdf: src/monak14-base.bit src/monak14-ext.bit
 	$(BDFMERGE) src/monak14-base.bit src/monak14-ext.bit | \
-		$(BIT2BDF) > dist/monak14.bdf
+		$(MKJISX0208) | $(BIT2BDF) > dist/monak14.bdf
 dist/monak16.bdf: src/monak16-base.bit src/monak16-ext.bit
 	$(BDFMERGE) src/monak16-base.bit src/monak16-ext.bit | \
-		$(BIT2BDF) > dist/monak16.bdf
+		$(MKJISX0208) | $(BIT2BDF) > dist/monak16.bdf
+# unicode fonts
+dist/monau16.bdf: src/mona8x16.bit0 src/mona8x16a.bit1 src/mona8x16r.bit1 \
+		   src/monak16-base.bit src/monak16-ext.bit src/monak16-uext.bit
+	$(JIS2UNICODE) src/monak16-base.bit src/monak16-ext.bit src/mona8x16r.bit1 | \
+		$(MKISO10646) | \
+		$(BDFMERGE) - src/monak16-uext.bit src/mona8x16.bit0 src/mona8x16a.bit1 |\
+		$(BIT2BDF) > dist/monau16.bdf
+
 
 # modified bitmaps
 
@@ -163,18 +180,25 @@
 dist/monak16BI.bdf: dist/monak16I.bdf
 	$(MKBOLD) dist/monak16I.bdf > dist/monak16BI.bdf
 
+dist/monau16B.bdf: dist/monau16.bdf
+	$(MKBOLD) dist/monau16.bdf > dist/monau16B.bdf
+dist/monau16I.bdf: dist/monau16.bdf
+	$(MKITALIC) dist/monau16.bdf > dist/monau16I.bdf
+dist/monau16BI.bdf: dist/monau16I.bdf
+	$(MKBOLD) dist/monau16I.bdf > dist/monau16BI.bdf
+
 
 ##  Utilities
 
 # clean
 clean:
-	-rm dist/*.bdf dist/fonts.dir
+	-rm dist/*.bdf dist/fonts.dir *~ .*~
 ttfclean:
 	cd ttfsrc; make clean
 
 # packing
 pack: clean ttfclean
-	cd ..; tar c --numeric-owner --bzip2 -f monafonts-$(VERSION).tar.bz2.bin monafonts-$(VERSION)
+	cd ..; tar c --numeric-owner --exclude CVS --bzip2 -f monafonts-$(VERSION).tar.bz2.bin monafonts-$(VERSION)
 
 # test
 test12:	dist/mona6x12r.bdf dist/mona6x12a.bdf dist/monak12.bdf testrun

=== ttfsrc/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #  Makefile for Monafonts TTF
-#  by 1@2ch, * public domain *  2002/2
-
-TTFVERSION=2.11
-SHINONOMEVERSION=0.9.7
+#  by 1@2ch, * public domain *  2002/3
+
+TTFVERSION=2.21
+SHINONOMEVERSION=0.9.8
 DATESTAMP=`date +%Y%m%d`
 
 # tools & perl libraries
@@ -16,7 +16,7 @@
 AWK=awk
 RM=rm -f
 CP=cp
-LHA=lha
+ZIP=zip -r
 
 TTFPACK=$(PERL) $(TOOLS)/ttfpack
 COMMONCHARS=$(PERL) $(TOOLS)/commonchars
@@ -68,15 +68,15 @@
 # utilities
 
 clean:
-	-$(RM) mona-mac.ttf mona-win.ttf *.lzh *.bak common.enc numglyphs \
+	-$(RM) mona-mac.ttf mona-win.ttf *.zip *.bak *~ .*~ common.enc numglyphs \
 		cmap-ascii.src cmap-sjis.src cmap-unicode.src \
 		mona12.bit mona14.bit mona16.bit \
 		mona12k.bit mona14k.bit mona16k.bit \
 		$(TTFTABLES) test-sjis.html test-unicode.html
 
 pack: mona-mac.ttf mona-win.ttf README-ttf.txt
-	$(LHA) a monafonts-mac-$(TTFVERSION).lzh README-ttf.txt mona-mac.ttf
-	$(LHA) a monafonts-win-$(TTFVERSION).lzh README-ttf.txt mona-win.ttf
+	$(ZIP) monafonts-mac-$(TTFVERSION).zip README-ttf.txt mona-mac.ttf
+	$(ZIP) monafonts-win-$(TTFVERSION).zip README-ttf.txt mona-win.ttf
 
 # test

## xfonts-mona 2.90

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
-#  Makefile for Mona fonts
+#  Makefile for Mona font
 #  by 1@2ch, 2002, public domain
-
-VERSION = 2.21
+#  $Id: Makefile,v 1.10 2003/09/10 02:54:10 s42335 Exp $
+
+VERSION = 2.90
 
 ## Machine dependent
 
@@ -22,6 +23,8 @@
 BDFTOPCF	= $(X11BINDIR)/bdftopcf
 MKDIRHIER	= $(X11BINDIR)/mkdirhier	# 'mkdir -p' may also work.
 MKFONTDIR	= $(X11BINDIR)/mkfontdir
+
+MY_RPM_ROOT	= /tmp/rpm-root
 
 ## Other macros
 
@@ -43,7 +46,9 @@
 	mona8x16a mona8x16aB mona8x16aI mona8x16aBI \
 	mona8x16r mona8x16rB mona8x16rI mona8x16rBI \
 	monak12 monak12B monak12I monak12BI \
+	monau12 monau12B monau12I monau12BI \
 	monak14 monak14B monak14I monak14BI \
+	monau14 monau14B monau14I monau14BI \
 	monak16 monak16B monak16I monak16BI \
 	monau16 monau16B monau16I monau16BI
 
@@ -55,51 +60,64 @@
 		dist/mona7x14a.bdf dist/mona7x14r.bdf \
 		dist/mona8x16a.bdf dist/mona8x16r.bdf \
 		dist/monak12.bdf \
+		dist/monau12.bdf \
 		dist/monak14.bdf \
+		dist/monau14.bdf \
 		dist/monak16.bdf \
 		dist/monau16.bdf
 bdf-bold:	dist/mona6x12aB.bdf dist/mona6x12rB.bdf \
 		dist/mona7x14aB.bdf dist/mona7x14rB.bdf \
 		dist/mona8x16aB.bdf dist/mona8x16rB.bdf \
 		dist/monak12B.bdf \
+		dist/monau12B.bdf \
 		dist/monak14B.bdf \
+		dist/monau14B.bdf \
 		dist/monak16B.bdf \
 		dist/monau16B.bdf
 bdf-italic:	dist/mona6x12aI.bdf dist/mona6x12rI.bdf \
 		dist/mona7x14aI.bdf dist/mona7x14rI.bdf \
 		dist/mona8x16aI.bdf dist/mona8x16rI.bdf \
 		dist/monak12I.bdf \
+		dist/monau12I.bdf \
 		dist/monak14I.bdf \
+		dist/monau14I.bdf \
 		dist/monak16I.bdf \
 		dist/monau16I.bdf
 bdf-bold-italic:dist/mona6x12aBI.bdf dist/mona6x12rBI.bdf \
 		dist/mona7x14aBI.bdf dist/mona7x14rBI.bdf \
 		dist/mona8x16aBI.bdf dist/mona8x16rBI.bdf \
 		dist/monak12BI.bdf \
+		dist/monau12BI.bdf \
 		dist/monak14BI.bdf \
+		dist/monau14BI.bdf \
 		dist/monak16BI.bdf \
 		dist/monau16BI.bdf
 
 # primary bitmaps
 
+# ASCII (iso8859)
 dist/mona6x12a.bdf: src/mona6x12.bit0 src/mona6x12a.bit1
 	$(BDFMERGE) src/mona6x12.bit0 src/mona6x12a.bit1 | \
 		$(MKISO8859) | $(BIT2BDF) > dist/mona6x12a.bdf
+dist/mona7x14a.bdf: src/mona7x14.bit0 src/mona7x14a.bit1
+	$(BDFMERGE) src/mona7x14.bit0 src/mona7x14a.bit1 | \
+		$(MKISO8859) | $(BIT2BDF) > dist/mona7x14a.bdf
+dist/mona8x16a.bdf: src/mona8x16.bit0 src/mona8x16a.bit1
+	$(BDFMERGE) src/mona8x16.bit0 src/mona8x16a.bit1 | \
+		$(MKISO8859) | $(BIT2BDF) > dist/mona8x16a.bdf
+
+# HANKAKU-KANA (jisx0201.1976)
 dist/mona6x12r.bdf: src/mona6x12.bit0 src/mona6x12r.bit1
 	$(BDFMERGE) src/mona6x12.bit0 src/mona6x12r.bit1 | \
 		$(MKJISX0201) | $(BIT2BDF) > dist/mona6x12r.bdf
-dist/mona7x14a.bdf: src/mona7x14.bit0 src/mona7x14a.bit1
-	$(BDFMERGE) src/mona7x14.bit0 src/mona7x14a.bit1 | \
-		$(MKISO8859) | $(BIT2BDF) > dist/mona7x14a.bdf
 dist/mona7x14r.bdf: src/mona7x14.bit0 src/mona7x14r.bit1
 	$(BDFMERGE) src/mona7x14.bit0 src/mona7x14r.bit1 | \
 		$(MKJISX0201) | $(BIT2BDF) > dist/mona7x14r.bdf
-dist/mona8x16a.bdf: src/mona8x16.bit0 src/mona8x16a.bit1
-	$(BDFMERGE) src/mona8x16.bit0 src/mona8x16a.bit1 | \
-		$(MKISO8859) | $(BIT2BDF) > dist/mona8x16a.bdf
 dist/mona8x16r.bdf: src/mona8x16.bit0 src/mona8x16r.bit1
 	$(BDFMERGE) src/mona8x16.bit0 src/mona8x16r.bit1 | \
 		$(MKJISX0201) | $(BIT2BDF) > dist/mona8x16r.bdf
+
+# KANJI (jisx0208.1990)
 dist/monak12.bdf: src/monak12-base.bit src/monak12-ext.bit
 	$(BDFMERGE) src/monak12-base.bit src/monak12-ext.bit | \
 		$(MKJISX0208) | $(BIT2BDF) > dist/monak12.bdf
@@ -109,7 +127,20 @@
 dist/monak16.bdf: src/monak16-base.bit src/monak16-ext.bit
 	$(BDFMERGE) src/monak16-base.bit src/monak16-ext.bit | \
 		$(MKJISX0208) | $(BIT2BDF) > dist/monak16.bdf
-# unicode fonts
+
+# UNICODE (iso10646)
+dist/monau12.bdf: src/mona6x12.bit0 src/mona6x12a.bit1 src/mona6x12r.bit1 \
+		   src/monak12-base.bit src/monak12-ext.bit src/monak12-uext.bit
+	$(JIS2UNICODE) src/monak12-base.bit src/monak12-ext.bit src/mona6x12r.bit1 | \
+		$(MKISO10646) | \
+		$(BDFMERGE) - src/monak12-uext.bit src/mona6x12.bit0 src/mona6x12a.bit1 |\
+		$(BIT2BDF) > dist/monau12.bdf
+dist/monau14.bdf: src/mona7x14.bit0 src/mona7x14a.bit1 src/mona7x14r.bit1 \
+		   src/monak14-base.bit src/monak14-ext.bit src/monak14-uext.bit
+	$(JIS2UNICODE) src/monak14-base.bit src/monak14-ext.bit src/mona7x14r.bit1 | \
+		$(MKISO10646) | \
+		$(BDFMERGE) - src/monak14-uext.bit src/mona7x14.bit0 src/mona7x14a.bit1 |\
+		$(BIT2BDF) > dist/monau14.bdf
 dist/monau16.bdf: src/mona8x16.bit0 src/mona8x16a.bit1 src/mona8x16r.bit1 \
 		   src/monak16-base.bit src/monak16-ext.bit src/monak16-uext.bit
 	$(JIS2UNICODE) src/monak16-base.bit src/monak16-ext.bit src/mona8x16r.bit1 | \
@@ -165,6 +196,12 @@
 	$(MKITALIC) dist/monak12.bdf > dist/monak12I.bdf
 dist/monak12BI.bdf: dist/monak12I.bdf
 	$(MKBOLD) dist/monak12I.bdf > dist/monak12BI.bdf
+dist/monau12B.bdf: dist/monau12.bdf
+	$(MKBOLD) dist/monau12.bdf > dist/monau12B.bdf
+dist/monau12I.bdf: dist/monau12.bdf
+	$(MKITALIC) dist/monau12.bdf > dist/monau12I.bdf
+dist/monau12BI.bdf: dist/monau12I.bdf
+	$(MKBOLD) dist/monau12I.bdf > dist/monau12BI.bdf
 
 dist/monak14B.bdf: dist/monak14.bdf
 	$(MKBOLD) dist/monak14.bdf > dist/monak14B.bdf
@@ -172,6 +209,12 @@
 	$(MKITALIC) dist/monak14.bdf > dist/monak14I.bdf
 dist/monak14BI.bdf: dist/monak14I.bdf
 	$(MKBOLD) dist/monak14I.bdf > dist/monak14BI.bdf
+dist/monau14B.bdf: dist/monau14.bdf
+	$(MKBOLD) dist/monau14.bdf > dist/monau14B.bdf
+dist/monau14I.bdf: dist/monau14.bdf
+	$(MKITALIC) dist/monau14.bdf > dist/monau14I.bdf
+dist/monau14BI.bdf: dist/monau14I.bdf
+	$(MKBOLD) dist/monau14I.bdf > dist/monau14BI.bdf
 
 dist/monak16B.bdf: dist/monak16.bdf
 	$(MKBOLD) dist/monak16.bdf > dist/monak16B.bdf
@@ -179,7 +222,6 @@
 	$(MKITALIC) dist/monak16.bdf > dist/monak16I.bdf
 dist/monak16BI.bdf: dist/monak16I.bdf
 	$(MKBOLD) dist/monak16I.bdf > dist/monak16BI.bdf
-
 dist/monau16B.bdf: dist/monau16.bdf
 	$(MKBOLD) dist/monau16.bdf > dist/monau16B.bdf
 dist/monau16I.bdf: dist/monau16.bdf
@@ -198,18 +240,14 @@
 
 # packing
 pack: clean ttfclean
-	cd ..; tar c --numeric-owner --exclude CVS --bzip2 -f monafonts-$(VERSION).tar.bz2.bin monafonts-$(VERSION)
-
-# test
-test12:	dist/mona6x12r.bdf dist/mona6x12a.bdf dist/monak12.bdf testrun
-test14:	dist/mona7x14r.bdf dist/mona7x14a.bdf dist/monak14.bdf testrun
-test16:	dist/mona8x16r.bdf dist/mona8x16a.bdf dist/monak16.bdf testrun
-testrun:
-	$(MKFONTDIR) `pwd`/dist
-	xset -fp `pwd`/dist; xset +fp `pwd`/dist; xset fp rehash
-	#xedit -xrm '*font:-mona*12*jisx0201.1976-0' test.html
-	#xfontsel -pattern '-mona*'
-	netscape tools/test.html
+	cd ..; tar c --numeric-owner --exclude CVS --bzip2 --dereference \
+		 -f monafont-$(VERSION).tar.bz2 monafont-$(VERSION)
+	cd ..; tar c --numeric-owner --exclude CVS --bzip2 --dereference \
+		 -f ttftinker-$(VERSION).tar.bz2 ttftinker-$(VERSION)
+rpm: clean ttfclean
+	cd ..; tar c --numeric-owner --exclude CVS --bzip2 --dereference \
+		 -f $(MY_RPM_ROOT)/SOURCES/monafont-$(VERSION).tar.bz2 monafont-$(VERSION)
+	rpm -ba monafont.spec
 
 # install
 install: bdf

=== ttfsrc/Makefile ===
# $Id: Makefile,v 1.11 2003/09/10 02:54:11 s42335 Exp $
#  Makefile for Monafont TTF
#  by 1@2ch, * public domain *  2002/3

TTF_VERSION=2.90
BITMAP_VERSION=shinonome-0.9.9
BASE_OUTLINE_VERSION=kochi-subst-20030809
DATESTAMP=`date +%Y%m%d`

# tools & perl libraries

TTFTOOLS=../ttftools

PERL=perl -I$(TTFTOOLS)
CAT=cat
SED=sed
SORT=sort
UNIQ=uniq
AWK=awk
RM=rm -f
CP=cp
MV=mv
ZIP=zip -r

# pathnames

DESTDIR		=
X11BINDIR	= /usr/X11R6/bin
MKDIRHIER	= $(X11BINDIR)/mkdirhier	# 'mkdir -p' may also work.
TTFFONTDIR	= $(DESTDIR)/usr/share/fonts/ja/TrueType

MY_RPM_ROOT	= /tmp/rpm-root

# modify this:
#BASE_OUTLINE_TTF=/usr/share/fonts/ja/TrueType/kochi-gothic.ttf	# for RedHat
BASE_OUTLINE_TTF=/src/kochi-substitute/kochi-gothic-subst.ttf
MONA_OUTLINE_TTF=mona-outline.ttf

TTFPACK=$(PERL) $(TTFTOOLS)/ttfpack
TTFCAT=$(PERL) $(TTFTOOLS)/ttfcat
COMMONCHARS=$(PERL) $(TTFTOOLS)/commonchars
PICKCHARS=$(PERL) $(TTFTOOLS)/pickchars
JIS2ASCII=$(PERL) $(TTFTOOLS)/jis2ascii
JIS2SJIS=$(PERL) $(TTFTOOLS)/jis2sjis
JIS2UNICODE=$(PERL) $(TTFTOOLS)/jis2unicode
MAKE_CMAP=$(PERL) $(TTFTOOLS)/make_cmap
DISP_CMAP=$(PERL) $(TTFTOOLS)/disp_cmap
MAKE_HEAD=$(PERL) $(TTFTOOLS)/make_head
MAKE_HHEA=$(PERL) $(TTFTOOLS)/make_hhea
DISP_HHEA=$(PERL) $(TTFTOOLS)/disp_hhea
MAKE_HMTX=$(PERL) $(TTFTOOLS)/make_hmtx
DISP_HMTX=$(PERL) $(TTFTOOLS)/disp_hmtx
MAKE_HDMX=$(PERL) $(TTFTOOLS)/make_hdmx
MAKE_GASP=$(PERL) $(TTFTOOLS)/make_gasp
MAKE_VHEA=$(PERL) $(TTFTOOLS)/make_vhea
DISP_VHEA=$(PERL) $(TTFTOOLS)/disp_vhea
MAKE_VMTX=$(PERL) $(TTFTOOLS)/make_vmtx
MAKE_MAXP=$(PERL) $(TTFTOOLS)/make_maxp
DISP_MAXP=$(PERL) $(TTFTOOLS)/disp_maxp
MAKE_NAME=$(PERL) $(TTFTOOLS)/make_name
MAKE_OS2=$(PERL) $(TTFTOOLS)/make_OS_s2
MAKE_POST=$(PERL) $(TTFTOOLS)/make_post
MAKE_EBLC=$(PERL) $(TTFTOOLS)/make_EBLC
MAKE_EBDT=$(PERL) $(TTFTOOLS)/make_EBDT
MAKE_EBSC=$(PERL) $(TTFTOOLS)/make_EBSC
MAKE_LOCA_FAKE=$(PERL) $(TTFTOOLS)/make_loca_fake
REMAP_GLYF=$(PERL) $(TTFTOOLS)/remap_glyf
MERGE_GLYF=$(PERL) $(TTFTOOLS)/merge_glyf
FORCE_LOCA_LONG=$(PERL) $(TTFTOOLS)/force_loca_long
MKTESTSJIS=$(PERL) $(TTFTOOLS)/mktestsjis
MKTESTUNICODE=$(PERL) $(TTFTOOLS)/mktestunicode
GETFIELD=$(AWK) 'BEGIN{IGNORECASE=1;f=ARGV[1];ARGV[1]="";} $$1~f{print $$2;}'
GETUNIT=$(GETFIELD) unitsPerEm
GET_NUMHMETRICS=$(GETFIELD) numberOfHMetrics
GET_NUMGLYPHS=$(GETFIELD) numGlyphs
COUNTLINES=$(AWK) 'BEGIN{n=0;} {n++;} END{print n;}'
REPEATFILE=$(PERL) $(TTFTOOLS)/repeatfile
CMAP_REFORMAT=$(AWK) -F: '/^0x/ && $$2 != 0 {print $$1, $$2}'
COUNT_CHARS_FROM_LOCA=$(PERL) -e '@s=stat($$ARGV[0]); print $$s[7]/4-1,"\n";'
PLUS1=$(AWK) '{print $$1+1;}'	# very dirty...
FTVIEW=ftview			# for testing


# bdf sources

BDFSRC=../src
SRCBITA12=$(BDFSRC)/mona6x12a.bit1
SRCBITS12=$(BDFSRC)/monak12-base.bit $(BDFSRC)/monak12-ext.bit \
	  $(BDFSRC)/mona6x12.bit0 $(BDFSRC)/mona6x12r.bit1
SRCBITU12=$(BDFSRC)/monak12-uext.bit

SRCBITA14=$(BDFSRC)/mona7x14a.bit1
SRCBITS14=$(BDFSRC)/monak14-base.bit $(BDFSRC)/monak14-ext.bit \
	  $(BDFSRC)/mona7x14.bit0 $(BDFSRC)/mona7x14r.bit1
SRCBITU14=$(BDFSRC)/monak14-uext.bit

SRCBITA16=$(BDFSRC)/mona8x16a.bit1
SRCBITS16=$(BDFSRC)/monak16-base.bit $(BDFSRC)/monak16-ext.bit \
	  $(BDFSRC)/mona8x16.bit0 $(BDFSRC)/mona8x16r.bit1
SRCBITU16=$(BDFSRC)/monak16-uext.bit


###################################################

# targets

all: mona.ttf

# utilities

clean:
	-$(RM) mona.ttf *.zip *.bak *~ .*~ \
		mixed.enc ext.enc backslash.enc \
		cmap-ascii.src cmap-sjis.src cmap-unicode.src \
		base-outline-cmap base-outline-cmap-unicode.src \
		base-outline-glyf base-outline-loca base-outline-hmtx base-outline-nhmtx \
		base-outline-maxp.src base-outline-hhea.src \
		mona-outline-cmap mona-outline-cmap-unicode.src \
		mona-outline-glyf mona-outline-loca mona-outline-hmtx mona-outline-nhmtx \
		remapped-glyf remapped-loca remapped-hmtx remapped-nhmtx \
		mona12.bit mona14.bit mona16.bit \
		mona12k.bit mona14k.bit mona16k.bit \
		$(TTF_TABLES) test-sjis.html test-unicode.html

pack: mona.ttf README-ttf.txt
	$(ZIP) monafont-ttf-$(TTF_VERSION).zip README-ttf.txt mona.ttf

install: mona.ttf
	if [ ! -d $(TTFFONTDIR) ]; then \
		$(MKDIRHIER) $(TTFFONTDIR); \
	fi
	$(CP) mona.ttf $(TTFFONTDIR)

# test

test: mona.ttf
	$(FTVIEW) 16 mona.ttf
test-sjis.html: cmap-sjis.src
	$(SORT) cmap-sjis.src | $(MKTESTSJIS) > test-sjis.html
test-unicode.html: cmap-unicode.src
	$(SORT) cmap-unicode.src | $(MKTESTUNICODE) > test-unicode.html


###################################################

# ttf definitions

TTF_TABLES=cmap head hhea hmtx maxp name OS_s2 post \
	 EBLC EBDT fpgm gasp glyf loca cvt

mona.ttf: $(TTF_TABLES)
	$(TTFPACK) 0x00010000 $(TTF_TABLES) > mona.ttf


# tables

# get common characters in all point sizes
mixed.enc: $(SRCBITS12) $(SRCBITS14) $(SRCBITS16)
	$(COMMONCHARS) $(SRCBITS12) : $(SRCBITS14) : $(SRCBITS16) : > mixed.enc
UNICODE_KLUDGE=$(AWK) '{print $$1,$$2+'`$(COUNTLINES) mixed.enc`'}' # shift glyph IDs
ext.enc: mixed.enc $(SRCBITU12) $(SRCBITU14) $(SRCBITU16)
	$(COMMONCHARS) $(SRCBITU12) : $(SRCBITU14) : $(SRCBITU16) : | $(UNICODE_KLUDGE) > ext.enc
backslash.enc: mixed.enc ext.enc
	echo "0x005c" `$(COUNTLINES) mixed.enc ext.enc | $(PLUS1)` > backslash.enc

# create ascii/sjis/unicode charmap from jisx0208 encodings
cmap-ascii.src: mixed.enc
	$(JIS2ASCII) mixed.enc > cmap-ascii.src
# sjis+0x005c (JPY) is converted into u+0x00a5 (JPY).
# so we need to refer to u+0x005c (BACKSLASH).
cmap-unicode.src: mixed.enc ext.enc backslash.enc
	$(JIS2UNICODE) mixed.enc > cmap-unicode.src
	$(CAT) ext.enc backslash.enc >> cmap-unicode.src

# unify all glyphs (defaultchar, jisx0201, jisx0208) into one file
mona12.bit: mixed.enc ext.enc defaultchar.enc backslash.enc $(SRCBITA12) $(SRCBITS12) $(SRCBITU12)
	$(PICKCHARS) defaultchar.enc $(SRCBITS12) > mona12.bit
	$(PICKCHARS) mixed.enc $(SRCBITS12) >> mona12.bit
	$(PICKCHARS) ext.enc $(SRCBITU12) >> mona12.bit
	$(PICKCHARS) backslash.enc $(SRCBITA12) >> mona12.bit

mona14.bit: mixed.enc ext.enc defaultchar.enc backslash.enc $(SRCBITA14) $(SRCBITS14) $(SRCBITU14)
	$(PICKCHARS) defaultchar.enc $(SRCBITS14) > mona14.bit
	$(PICKCHARS) mixed.enc $(SRCBITS14) >> mona14.bit
	$(PICKCHARS) ext.enc $(SRCBITU14) >> mona14.bit
	$(PICKCHARS) backslash.enc $(SRCBITA14) >> mona14.bit

mona16.bit: mixed.enc ext.enc defaultchar.enc backslash.enc $(SRCBITA16) $(SRCBITS16) $(SRCBITU16)
	$(PICKCHARS) defaultchar.enc $(SRCBITS16) > mona16.bit
	$(PICKCHARS) mixed.enc $(SRCBITS16) >> mona16.bit
	$(PICKCHARS) ext.enc $(SRCBITU16) >> mona16.bit
	$(PICKCHARS) backslash.enc $(SRCBITA16) >> mona16.bit

# EBLC (Embedded Bitmap LoCation) table
EBLC: mona12.bit mona14.bit mona16.bit
	$(MAKE_EBLC) 12 mona12.bit 14 mona14.bit 16 mona16.bit > EBLC

# EBDT (Embedded Bitmap DaTa) table
EBDT: mona12.bit mona14.bit mona16.bit
	$(MAKE_EBDT) mona12.bit mona14.bit mona16.bit > EBDT

# cmap (Character MAPping) table
# 0 1 0    0 (Format0, Macintosh, Roman,    English)
# 4 3 1    0 (Format4, Microsoft, Unicode,  /)
cmap: cmap-ascii.src cmap-unicode.src
	$(MAKE_CMAP) cmap-ascii.src   0 1 0 0 \
		     cmap-unicode.src 4 3 1 0 \
		> cmap

##OBSOLETED:
# 0 1 0    0 (Format0, Macintosh, Roman,    English)
# 2 1 1    0 (Format2, Macintosh, Japanese, Japanese)
# 4 3 1    0 (Format4, Microsoft, Unicode,  /)
#cmap: cmap-ascii.src cmap-sjis.src cmap-unicode.src
#	$(MAKE_CMAP) cmap-ascii.src   0 1 0 0 \
#		     cmap-sjis.src    2 1 1 0 \
#		     cmap-unicode.src 4 3 1 0 \
#		> cmap

base-outline-hhea.src: $(BASE_OUTLINE_TTF)
	$(TTFCAT) $(BASE_OUTLINE_TTF) hhea | $(DISP_HHEA) - > base-outline-hhea.src

base-outline-maxp.src: $(BASE_OUTLINE_TTF)
	$(TTFCAT) $(BASE_OUTLINE_TTF) maxp | $(DISP_MAXP) - > base-outline-maxp.src

#base-outline-hmtx.src: $(BASE_OUTLINE_TTF) base-outline-hhea.src base-outline-maxp.src
#	$(TTFCAT) $(BASE_OUTLINE_TTF) hmtx | \
#	$(DISP_HMTX) - `$(GET_NUMHMETRICS) base-outline-hhea.src` `$(GET_NUMGLYPHS) base-outline-maxp.src` > \
#		base-outline-hmtx.src

base-outline-hmtx: $(BASE_OUTLINE_TTF)
	$(TTFCAT) $(BASE_OUTLINE_TTF) hmtx > base-outline-hmtx

base-outline-cmap: $(BASE_OUTLINE_TTF)
	$(TTFCAT) $(BASE_OUTLINE_TTF) cmap > base-outline-cmap

# we cannot replace this with a pipe, because cmap file should be seekable.
base-outline-cmap-unicode.src: base-outline-cmap
	$(DISP_CMAP) -e base-outline-cmap 0 | \
	$(CMAP_REFORMAT) > base-outline-cmap-unicode.src

base-outline-glyf: $(BASE_OUTLINE_TTF)
	$(TTFCAT) $(BASE_OUTLINE_TTF) glyf > base-outline-glyf

base-outline-loca: $(BASE_OUTLINE_TTF)
	$(TTFCAT) $(BASE_OUTLINE_TTF) loca | $(FORCE_LOCA_LONG) - > base-outline-loca

base-outline-nhmtx: $(BASE_OUTLINE_TTF)
	$(TTFCAT) $(BASE_OUTLINE_TTF) hhea | $(DISP_HHEA) - | $(GET_NUMHMETRICS) > base-outline-nhmtx

# remapp base glyphs
remapped-glyf: base-outline-glyf base-outline-loca base-outline-hmtx base-outline-nhmtx base-outline-cmap-unicode.src cmap-unicode.src
	$(REMAP_GLYF) g base-outline-glyf base-outline-loca base-outline-hmtx `$(CAT) base-outline-nhmtx` \
			base-outline-cmap-unicode.src cmap-unicode.src > remapped-glyf

remapped-loca: base-outline-glyf base-outline-loca base-outline-hmtx base-outline-nhmtx base-outline-cmap-unicode.src cmap-unicode.src
	$(REMAP_GLYF) l base-outline-glyf base-outline-loca base-outline-hmtx `$(CAT) base-outline-nhmtx` \
			base-outline-cmap-unicode.src cmap-unicode.src > remapped-loca

remapped-hmtx: base-outline-glyf base-outline-loca base-outline-hmtx base-outline-nhmtx base-outline-cmap-unicode.src cmap-unicode.src
	$(REMAP_GLYF) h base-outline-glyf base-outline-loca base-outline-hmtx `$(CAT) base-outline-nhmtx` \
			base-outline-cmap-unicode.src cmap-unicode.src > remapped-hmtx

remapped-nhmtx: remapped-loca
	$(COUNT_CHARS_FROM_LOCA) remapped-loca > remapped-nhmtx

#
mona-outline-cmap: $(MONA_OUTLINE_TTF)
	$(TTFCAT) $(MONA_OUTLINE_TTF) cmap > mona-outline-cmap

mona-outline-cmap-unicode.src: mona-outline-cmap
	$(DISP_CMAP) -e mona-outline-cmap 0 | \
	$(CMAP_REFORMAT) > mona-outline-cmap-unicode.src

mona-outline-glyf: $(MONA_OUTLINE_TTF)
	$(TTFCAT) $(MONA_OUTLINE_TTF) glyf > mona-outline-glyf

mona-outline-loca: $(MONA_OUTLINE_TTF)
	$(TTFCAT) $(MONA_OUTLINE_TTF) loca | $(FORCE_LOCA_LONG) - > mona-outline-loca

mona-outline-hmtx: $(MONA_OUTLINE_TTF)
	$(TTFCAT) $(MONA_OUTLINE_TTF) hmtx > mona-outline-hmtx

mona-outline-nhmtx: $(MONA_OUTLINE_TTF)
	$(TTFCAT) $(MONA_OUTLINE_TTF) hhea | $(DISP_HHEA) - | $(GET_NUMHMETRICS) > mona-outline-nhmtx

glyf: remapped-glyf remapped-loca remapped-hmtx remapped-nhmtx cmap-unicode.src mona-outline-glyf mona-outline-loca mona-outline-hmtx mona-outline-nhmtx mona-outline-cmap-unicode.src
#	$(MERGE_GLYF) g remapped-glyf remapped-loca cmap-unicode.src > glyf
	$(MERGE_GLYF) g remapped-glyf remapped-loca remapped-hmtx `$(CAT) remapped-nhmtx` cmap-unicode.src \
			mona-outline-glyf mona-outline-loca mona-outline-hmtx `$(CAT) mona-outline-nhmtx` mona-outline-cmap-unicode.src > glyf

loca: remapped-glyf remapped-loca remapped-hmtx remapped-nhmtx cmap-unicode.src mona-outline-glyf mona-outline-loca mona-outline-hmtx mona-outline-nhmtx mona-outline-cmap-unicode.src
#	$(MERGE_GLYF) l remapped-glyf remapped-loca cmap-unicode.src > loca
	$(MERGE_GLYF) l remapped-glyf remapped-loca remapped-hmtx `$(CAT) remapped-nhmtx` cmap-unicode.src \
			mona-outline-glyf mona-outline-loca mona-outline-hmtx `$(CAT) mona-outline-nhmtx` mona-outline-cmap-unicode.src > loca

hmtx: remapped-glyf remapped-loca remapped-hmtx remapped-nhmtx cmap-unicode.src mona-outline-glyf mona-outline-loca mona-outline-hmtx mona-outline-nhmtx mona-outline-cmap-unicode.src
	$(MERGE_GLYF) h remapped-glyf remapped-loca remapped-hmtx `$(CAT) remapped-nhmtx` cmap-unicode.src \
			mona-outline-glyf mona-outline-loca mona-outline-hmtx `$(CAT) mona-outline-nhmtx` mona-outline-cmap-unicode.src > hmtx

# hhea (Horizontal metrics table HEAder) table
hhea: base-outline-hhea.src remapped-nhmtx
	$(MAKE_HHEA) base-outline-hhea.src numberOfHMetrics=`$(CAT) remapped-nhmtx` > hhea

# gasp (Grid-fitting And Scan-conversion Procedure)
gasp:

=== debian/changelog ===
xfonts-mona (2.90-9) unstable; urgency=medium

  * Update debian/control.
    - Bump up Standards-Version to 4.5.0.
    - Use debhelper-compat instead of debhelper.
      Update to debhelper compat to 13.
    - Add Multi-Arch: foreign.
    - Add Rules-Requires-Root: no.
    - Add Vcs-Browser and Vcs-Git.
  * Update d/copyright.
    Change to dep5 format.
  * Remove d/README.source. This file is already unnecessary.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 01 Dec 2020 05:17:10 +0900

xfonts-mona (2.90-8) unstable; urgency=medium

  * Update debian/control.
    - Bump up Standards-Version to 3.9.6.
    - Remove ttf-kochi-gothic from Build-Depends.
  * Update debian/rules.
    - Add --no-name option to gzip.
      Fix package-contains-timestamped-gzip of lintian warning.
  * Remove support fonts-mona. (Closes: #804515)
    The fonts-mona package will provide by ttf-mona source package.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 13 Nov 2015 14:48:23 +0900

xfonts-mona (2.90-7) unstable; urgency=low

  * Update debian/control.
    - Bump up Standards-Version to 3.9.3.
    - Update version of debhelper to (>= 9).
    - Remove dpatch from Build-Depends.
  * Update patch format to quilt.
  * Fix build with perl 5.12. (Closes: #628362)
    - Add patches/fix_build_perl5.12.patch.
  * Update debian/rules.
    - Change to using dh.
  * Update debian/compat to 9.
  * Update debian/ttf-mona.prerm and postinst.
    - Changte to prefix from ttf- to fonts-.
  * Add fonts-mona package.
  * Set Priority: extra and Section: oldlibs to ttf-mona.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 21 Mar 2012 09:27:05 +0900

xfonts-mona (2.90-6) unstable; urgency=low

  * Remove debian/defoma and debian/rules. (Closes: #571026)
  * Remove function to install defoma from debian/rules and ttf-mona.prerm.
    (Closes: #572115).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 02 Mar 2010 23:18:37 +0900

xfonts-mona (2.90-5) unstable; urgency=low

  * Update debian/control.
    - Remove defoma hints files and dependency on defoma.
    - Bump up Standards-Version.
  * Update debian/ttf-mona.postinst
  * Add debian/ttf-mona.preinst

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 01 Feb 2010 22:54:43 +0900

xfonts-mona (2.90-4) unstable; urgency=low

  * Fix problem that package can't uninstall. (Closes: #550791)
    Thanks to YOSHINO Yoshihito.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 13 Oct 2009 09:12:53 +0900

xfonts-mona (2.90-3) unstable; urgency=low

  * Change maintainer mail address.
  * Update Standards-Version.
  * Update hints file.
    Add CIDSupplement = 0 line
  * Fix some lintian's warning.
    - Add README.source
  * Update URL of project homepage in debian/copyright. (Closes: #530370)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 14 Sep 2009 17:04:37 +0900

xfonts-mona (2.90-2) unstable; urgency=low

  * Change Maintainer mail address.
  * Fix lack of dependency for bdftopcf. (Closes: #413486)

 -- Nobuhiro Iwamatsu <iwamatsu@nigauri.org>  Thu,  8 Mar 2007 23:42:39 +0900

xfonts-mona (2.90-1) unstable; urgency=low

  * New Maintainer (Nobuhiro Iwamatsu).
  * create ttf-mona pacakge. (Closes: #183027)
  * Fix fonts transition (xfonts-mona). (Closes: #362390)
  * New upstream release. (Closes: #321034)

 -- Nobuhiro Iwamatsu <hemamu@t-base.ne.jp>  Sat, 25 Nov 2006 22:38:43 +0900

xfonts-mona (2.21-4) unstable; urgency=low

  * Changed font path to new X package.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Fri, 14 Apr 2006 05:18:32 +0000

xfonts-mona (2.21-3) unstable; urgency=low

  * Added build-depends field, closes: #253772.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Fri, 11 Jun 2004 17:03:18 +0900

xfonts-mona (2.21-2) unstable; urgency=low

  * Create dist directory on build target, closes: #165182.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Wed,  6 Nov 2002 13:30:02 +0900

xfonts-mona (2.21-1) unstable; urgency=low

  * New upstream release.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue, 25 Jun 2002 12:00:46 +0900

xfonts-mona (2.11-1) unstable; urgency=low

  * New upstream release

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Sat, 23 Mar 2002 15:42:14 +0900

xfonts-mona (2.04-1) unstable; urgency=low

  * New upstream release

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue, 12 Feb 2002 13:58:28 +0900

xfonts-mona (2.03-2) unstable; urgency=low

  * Adapted to new debian policy.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue, 13 Nov 2001 19:29:29 +0900

xfonts-mona (2.03-1) unstable; urgency=low

  * New upstream release

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Mon, 16 Jul 2001 12:49:58 +0900

xfonts-mona (2.02-1) unstable; urgency=low

  * New upstream release

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Tue, 19 Jun 2001 15:01:21 +0900

xfonts-mona (2.01-1) unstable; urgency=low

  * New upstream release

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Mon, 18 Jun 2001 17:56:03 +0900

xfonts-mona (0.0.20010323-1) unstable; urgency=low

  * New upstream release

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Wed,  4 Apr 2001 10:43:10 +0900

xfonts-mona (0.0.20010213-2) unstable; urgency=low

  * Adapted to woody.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Mon,  2 Apr 2001 15:46:44 +0900

xfonts-mona (0.0.20010213-1) unstable; urgency=low

  * Initial Release.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Mon, 19 Mar 2001 17:54:29 +0900

=== debian/control ===
Source: xfonts-mona
Section: fonts
Priority: optional
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: bzip2, xfonts-utils
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/xfonts-mona
Vcs-Git: https://salsa.debian.org/debian/xfonts-mona.git

Package: xfonts-mona
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Proportional X fonts for 2ch ASCII art
 These fonts are suitable for some ASCII arts like mona, gikoneko and so on.
 This package provides BDF (Bitmap Description / Display Format) font.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh  $@

override_dh_auto_build:
	-mkdir dist
	make bdf
	(cd dist; for i in *.bdf; do bdftopcf $$i|gzip --no-name -c9 > `basename $$i .bdf`.pcf.gz; done)

override_dh_auto_install:
	# Add here commands to install the package into debian/tmp.
	cp dist/*.pcf.gz `pwd`/debian/xfonts-mona/usr/share/fonts/X11/misc

override_dh_auto_clean:

	make clean
	-rm -f dist/*

	dh_auto_clean
